{
  "id": "83191f0e-001a-430e-8620-158a05323ac5",
  "name": "deployment-configmap-reference-relationship",
  "schemaVersion": "designs.meshery.io/v1beta1",
  "version": "0.0.9",
  "metadata": {
    "resolvedAliases": {
      "bf02a731-3078-4d5d-86eb-cf84791534d8": {
        "alias_component_id": "bf02a731-3078-4d5d-86eb-cf84791534d8",
        "immediate_parent_id": "24e0e126-376f-40dc-8687-267aadb7d8ba",
        "immediate_ref_field_path": [
          "configuration",
          "spec",
          "template",
          "spec",
          "containers",
          "0"
        ],
        "relationship_id": "dafd7f23-b962-4362-87b2-b744d265cd79",
        "resolved_parent_id": "24e0e126-376f-40dc-8687-267aadb7d8ba",
        "resolved_ref_field_path": [
          "configuration",
          "spec",
          "template",
          "spec",
          "containers",
          "0"
        ]
      }
    }
  },
  "components": [
    {
      "id": "59a23ba3-e7f1-401b-96a1-3d2b8633280a",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "config-map-ed",
      "description": "",
      "format": "JSON",
      "modelReference": {
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "id": "00000000-0000-0000-0000-000000000000",
        "registrant": {
          "kind": "github"
        },
        "model": {
          "version": "v1.35.0-rc.0"
        }
      },
      "styles": {
        "background-opacity": 1,
        "body-text": "",
        "body-text-color": "#808080",
        "body-text-font-family": "Qanelas Soft",
        "body-text-font-size": 12,
        "body-text-font-weight": "400",
        "body-text-horizontal-align": "center",
        "body-text-text-decoration": "none",
        "body-text-vertical-align": "center",
        "border-width": 0,
        "height": 24,
        "opacity": 1,
        "padding": 6,
        "position": {
          "x": 982.9937419459402,
          "y": 540.0371878175711
        },
        "primaryColor": "#326CE5",
        "secondaryColor": "#7aa1f0",
        "shape": "bottom-round-rectangle",
        "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/configmap-color.svg",
        "svgComplete": "",
        "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/configmap-white.svg",
        "width": 24,
        "z-index": 1
      },
      "capabilities": null,
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "instanceDetails": null,
        "isAnnotation": false,
        "isNamespaced": true,
        "published": false,
        "source_uri": "git://github.com/kubernetes/kubernetes/master/api/openapi-spec/v3"
      },
      "configuration": {
        "metadata": {
          "namespace": "default"
        }
      },
      "component": {
        "version": "v1",
        "kind": "ConfigMap",
        "schema": ""
      }
    },
    {
      "id": "24e0e126-376f-40dc-8687-267aadb7d8ba",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "deployment-fd",
      "description": "",
      "format": "JSON",
      "modelReference": {
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "id": "00000000-0000-0000-0000-000000000000",
        "registrant": {
          "kind": "github"
        },
        "model": {
          "version": "v1.35.0-rc.0"
        }
      },
      "styles": {
        "background-image": "none",
        "background-opacity": 0.5,
        "body-text": "",
        "body-text-color": "#808080",
        "body-text-font-family": "Qanelas Soft",
        "body-text-font-size": 12,
        "body-text-font-weight": "400",
        "body-text-horizontal-align": "center",
        "body-text-text-decoration": "none",
        "body-text-vertical-align": "center",
        "border-width": 2,
        "height": 24,
        "opacity": 1,
        "padding": 6,
        "position": {
          "x": 790.9931437495965,
          "y": 544.0370957873644
        },
        "primaryColor": "#326CE5",
        "secondaryColor": "#7aa1f0",
        "shape": "round-rectangle",
        "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg",
        "svgComplete": "ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg",
        "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg",
        "width": 24,
        "z-index": 2
      },
      "capabilities": null,
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "parent",
        "instanceDetails": null,
        "isAnnotation": false,
        "isNamespaced": true,
        "published": false,
        "source_uri": "git://github.com/kubernetes/kubernetes/master/api/openapi-spec/v3"
      },
      "configuration": {
        "metadata": {
          "namespace": "default"
        },
        "spec": {
          "template": {
            "spec": {
              "containers": [
                {
                  "envFrom": [
                    {
                      "configMapRef": {
                        "name": "config-map-ed"
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      "component": {
        "version": "apps/v1",
        "kind": "Deployment",
        "schema": ""
      }
    },
    {
      "id": "bf02a731-3078-4d5d-86eb-cf84791534d8",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "containers.0",
      "description": "",
      "format": "JSON",
      "modelReference": {
        "version": "v1.0.0",
        "name": "meshery-core",
        "displayName": "Meshery Core",
        "id": "00000000-0000-0000-0000-000000000000",
        "registrant": {
          "kind": "meshery"
        },
        "model": {
          "version": "0.7.2"
        }
      },
      "styles": {
        "position": {
          "x": 790.9931437495965,
          "y": 535.0370957873644
        },
        "primaryColor": "#326CE5",
        "secondaryColor": "#00D3A9",
        "shape": "circle",
        "svgColor": "ui/public/static/img/meshmodels/meshery-core/color/container-color.svg",
        "svgComplete": "",
        "svgWhite": "ui/public/static/img/meshmodels/meshery-core/white/container-white.svg"
      },
      "capabilities": null,
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "hasInvalidSchema": true,
        "instanceDetails": null,
        "isAnnotation": true,
        "isNamespaced": false,
        "published": false
      },
      "configuration": {},
      "component": {
        "version": "core.meshery.io/v1alpha1",
        "kind": "Container",
        "schema": ""
      }
    }
  ],
  "preferences": {
    "layers": {
      "relationships": {
        "hierarchical-parent-inventory": false
      }
    }
  },
  "relationships": [
    {
      "id": "d594f58b-c7a8-4602-a563-c1e43588d0a7",
      "evaluationQuery": null,
      "kind": "edge",
      "metadata": {
        "description": "In Kubernetes, ConfigMaps are a versatile resource that can be referenced by various other resources to provide configuration data to applications or other Kubnernetes resources.\\n\\nBy referencing ConfigMaps in these various contexts, you can centralize and manage configuration data more efficiently, allowing for easier updates, versioning, and maintenance of configurations in a Kubernetes environment.",
        "styles": {
          "primaryColor": "",
          "svgColor": "",
          "svgWhite": ""
        },
        "isAnnotation": false
      },
      "model": {
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "id": "00000000-0000-0000-0000-000000000000",
        "registrant": {
          "kind": "github"
        },
        "model": {
          "version": "v1.35.0-rc.0"
        }
      },
      "schemaVersion": "",
      "selectors": [
        {
          "allow": {
            "from": [
              {
                "id": "59a23ba3-e7f1-401b-96a1-3d2b8633280a",
                "kind": "ConfigMap",
                "match": {},
                "match_strategy_matrix": null,
                "model": {
                  "version": "",
                  "name": "kubernetes",
                  "displayName": "",
                  "id": "00000000-0000-0000-0000-000000000000",
                  "registrant": {
                    "kind": "github"
                  },
                  "model": {
                    "version": ""
                  }
                },
                "patch": {
                  "patchStrategy": "replace",
                  "mutatorRef": [
                    [
                      "displayName"
                    ]
                  ]
                }
              }
            ],
            "to": [
              {
                "id": "24e0e126-376f-40dc-8687-267aadb7d8ba",
                "kind": "Deployment",
                "match": {},
                "match_strategy_matrix": null,
                "model": {
                  "version": "",
                  "name": "kubernetes",
                  "displayName": "",
                  "id": "00000000-0000-0000-0000-000000000000",
                  "registrant": {
                    "kind": "github"
                  },
                  "model": {
                    "version": ""
                  }
                },
                "patch": {
                  "patchStrategy": "replace",
                  "mutatedRef": [
                    [
                      "configuration",
                      "spec",
                      "template",
                      "spec",
                      "containers",
                      "0",
                      "envFrom",
                      "0",
                      "configMapRef",
                      "name"
                    ]
                  ]
                }
              }
            ]
          },
          "deny": {
            "from": [],
            "to": []
          }
        }
      ],
      "subType": "reference",
      "status": "pending",
      "type": "non-binding",
      "version": ""
    },
    {
      "id": "dafd7f23-b962-4362-87b2-b744d265cd79",
      "evaluationQuery": "",
      "kind": "hierarchical",
      "metadata": {
        "description": "A hierarchical inventory relationship in which the configuration of (parent) component is patched with the configuration of other (child) component. Eg: The configuration of the EnvoyFilter (parent) component is patched with the configuration as received from WASMFilter (child) component.",
        "styles": {
          "primaryColor": "",
          "svgColor": "",
          "svgWhite": ""
        },
        "isAnnotation": false
      },
      "model": {
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "id": "00000000-0000-0000-0000-000000000000",
        "registrant": {
          "kind": "github"
        },
        "model": {
          "version": "v1.35.0-rc.0"
        }
      },
      "schemaVersion": "relationships.meshery.io/v1alpha3",
      "selectors": [
        {
          "allow": {
            "from": [
              {
                "id": "bf02a731-3078-4d5d-86eb-cf84791534d8",
                "kind": "Container",
                "match": {},
                "match_strategy_matrix": null,
                "model": {
                  "version": "",
                  "name": "meshery-core",
                  "displayName": "",
                  "id": "00000000-0000-0000-0000-000000000000",
                  "registrant": {
                    "kind": "github"
                  },
                  "model": {
                    "version": ""
                  }
                },
                "patch": {
                  "patchStrategy": "replace",
                  "mutatorRef": [
                    [
                      "configuration",
                      "spec",
                      "template",
                      "spec",
                      "containers",
                      "0"
                    ]
                  ],
                  "mutatedRef": [
                    [
                      "configuration",
                      "spec",
                      "template",
                      "spec",
                      "containers",
                      "0"
                    ]
                  ]
                }
              }
            ],
            "to": [
              {
                "id": "24e0e126-376f-40dc-8687-267aadb7d8ba",
                "kind": "Deployment",
                "match": {},
                "match_strategy_matrix": null,
                "model": {
                  "version": "",
                  "name": "kubernetes",
                  "displayName": "",
                  "id": "00000000-0000-0000-0000-000000000000",
                  "registrant": {
                    "kind": "github"
                  },
                  "model": {
                    "version": ""
                  }
                },
                "patch": {
                  "patchStrategy": "replace",
                  "mutatorRef": [
                    [
                      "configuration",
                      "spec",
                      "template",
                      "spec",
                      "containers",
                      "0"
                    ]
                  ],
                  "mutatedRef": [
                    [
                      "configuration",
                      "spec",
                      "template",
                      "spec",
                      "containers",
                      "0"
                    ]
                  ]
                }
              }
            ]
          },
          "deny": {
            "from": null,
            "to": null
          }
        }
      ],
      "subType": "alias",
      "status": "approved",
      "type": "parent",
      "version": "v1.0.0"
    }
  ]
}